Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/25840/?format=api
{ "ob_id": 25840, "uuid": "71a34def1d104f1e925f1a6f7d12ac21", "title": "Isocyanate, amide, nitrate and nitro compound measurements from an anthropogenic biomass burning event in Manchester UK during winter 2014", "abstract": "This dataset contains isocyanate, amide, nitrate and nitro compounds measurements from an anthropogenic biomass burning event in Manchester, UK. Measured over an 11 day period in November 2014 using a flight chemical ionisation mass spectrometer (ToF-CIMS). Measurements of NOx and O3 are also included. Data were collected from The Whitworth Meteorological Observatory based at the University of Manchester.", "keywords": "isocyanates, amides, anthropogenic, biomass, burning, bonfire, Manchester, 2014, winter", "publicationState": "published", "dataPublishedTime": "2018-02-22T16:20:48", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/25841/?format=api", "dataPath": "/badc/deposited2018/tof-cims_biomass_burning/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 197956, "numberOfFiles": 2, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6981/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2182/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52526/?format=api" ], "dataLineage": "ToF-CIMS deployed at University of Manchester. The instrument samples ambient air with detection online. The raw data was post processed using Tofware (tofwer) V.2.5.7 to provide data in counts per second. Laboratory calibrations were used to convert counts into concentrations (ppt). Data were then sent to the Centre for Environmental Data Analysis for (CEDA) archiving. ", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107940/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107943/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107944/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107945/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107946/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107948/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107949/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107950/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107947/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168816/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107951/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/107942/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/25839/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2628/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "op3", "label": "restricted: op3 group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }